Page MenuHomePhabricator

[Sanitizers] Fix sanitizers to build on FreeBSD.
ClosedPublic

Authored by kutuzov.viktor.84 on Mar 9 2015, 9:52 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

kutuzov.viktor.84 retitled this revision from to [Sanitizers] Fix sanitizers to build on FreeBSD..
kutuzov.viktor.84 updated this object.
kutuzov.viktor.84 edited the test plan for this revision. (Show Details)
kutuzov.viktor.84 added a subscriber: Unknown Object (MLST).
samsonov accepted this revision.Mar 9 2015, 11:02 AM
samsonov edited edge metadata.

LGTM

This revision is now accepted and ready to land.Mar 9 2015, 11:02 AM
dvyukov added inline comments.Mar 10 2015, 12:45 AM
lib/sanitizer_common/sanitizer_linux.cc
63 ↗(On Diff #21496)

Shouldn't it be included on linux as well?
I guess it is included by some other header on linux, but it is not a reason to not include it explicitly if we use it.

kutuzov.viktor.84 edited edge metadata.

Updated.

dvyukov accepted this revision.Mar 12 2015, 4:10 AM
dvyukov edited edge metadata.

LGTM

This revision was automatically updated to reflect the committed changes.